Katello - Feature #6757

[RFE] allow multiple CV with same repo to be added to a composite CV
07/23/2014 03:32 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Content Views
Target version: Katello 3.3.0
Difficulty: medium Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1306723 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/633
9
Description

Given a large repo, such as RHEL or EPEL, | attempted to make smaller product-specific CVs with filters to get just the packages
necessary to install each. These | then intended to add to a composite CV that would include a minimal base OS CV plus the product
CVs w/ necessary packages.

Associated revisions

Revision e5586b7e - 09/22/2016 09:33 AM - Brad Buckingham

fixes #6757 - composite view to allow duplicate repos

This commit removes the restriction that component content views
added to a composite content view are not allowed to contain

the same source repository. This is to handle the case where

the user is managing multiple instances of the repos with different
views/purposes and want to combine them through composites.

With this, when publishing a composite content view, if there are
N instances of the same repository, the version published for
the composite will only have 1 repository that combines them
all.

This change in behavior also affects incremental update as it
needs to ensure that that single repository is still a combination

of all versions on the composite (e.g. from new incremental versions
as well as the prior published versions).

Revision bcafa5f2 - 09/28/2016 10:30 AM - Brad Buckingham
Merge pull request #6339 from bbuckingham/issue-6757

fixes #6757 - composite view to allow duplicate repos

History

#1 - 07/23/2014 03:32 PM - Thomas McKay
- Bugzilla link set to 1122696

#2 - 12/09/2014 09:55 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 12/21/2015 11:54 AM - Eric Helms

- translation missing: en.field_release set to 114

#4 - 08/24/2016 05:36 PM - Brad Buckingham
- Bugzilla link changed from 1122696 to 1306723
#5 - 09/22/2016 09:32 AM - Brad Buckingham
- Status changed from New to Assigned

- Assignee set to Brad Buckingham

- Target version set to 126

- Difficulty set to medium

#6 - 09/22/2016 09:42 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- translation missing: en.field_release deleted (114)

- Pull request https://github.com/Katello/katello/pull/6339 added

#7 - 09/28/2016 11:02 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|e5586b7e6bfd07455997fdb1d7651650f9a83154.

#8 - 09/28/2016 02:13 PM - Justin Sherrill

- translation missing: en.field_release set to 188
